PartyAndAmount
Keywords: net.corda.finance.contracts.asset.PartyAndAmount class
Date: 2023-09-18

net.corda.finance.contracts.asset

## Class PartyAndAmount<T>

- net.corda.finance.contracts.asset.PartyAndAmount<T>

-     public class PartyAndAmount<T>

  A simple holder for a (possibly anonymous) `class AbstractParty` and a quantity of tokens

  See Also:
    `class AbstractParty`

- - ### Constructor Detail

    - #### PartyAndAmount

          public PartyAndAmount(@NotNull
                                AbstractParty party,
                                @NotNull
                                Amount<T> amount)

      A simple holder for a (possibly anonymous) `class AbstractParty` and a quantity of tokens

      See Also:
        `class AbstractParty`

  - ### Method Detail

    - #### getParty

          @NotNull
          public AbstractParty getParty()

    - #### getAmount

          @NotNull
          public Amount<T> getAmount()

    - #### component1

          @NotNull
          public AbstractParty component1()

    - #### component2

          @NotNull
          public Amount<T> component2()

    - #### copy

          @NotNull
          public PartyAndAmount<T> copy(@NotNull
                                                 AbstractParty party,
                                                 @NotNull
                                                 Amount<T> amount)

      A simple holder for a (possibly anonymous) `class AbstractParty` and a quantity of tokens

      See Also:
        `class AbstractParty`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A simple holder for a (possibly anonymous) `class AbstractParty` and a quantity of tokens

      See Also:
        `class AbstractParty`

    - #### hashCode

          public int hashCode()

      A simple holder for a (possibly anonymous) `class AbstractParty` and a quantity of tokens

      See Also:
        `class AbstractParty`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A simple holder for a (possibly anonymous) `class AbstractParty` and a quantity of tokens

      See Also:
        `class AbstractParty`